## kate 22.08.2

=== debian/changelog ===
kate (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:14 +0100

kate (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:27 +0100

kate (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:36 +0100

kate (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 16:16:26 +0100

kate (4:22.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.6.1, no change required.
  * Remove build-deps added by mistake for build-time test fixes.

  [ Pino Toscano ]
  * New upstream release.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 06:46:43 +0200

kate (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:59 +0100

kate (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:51 +0100

kate (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Review copyright information.
  * Reactivate build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 03 Jun 2022 12:10:42 +0200

kate (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:56:02 +0100

kate (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:20 +0100

kate (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:56:44 +0100

kate (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes kate parts of CVE-2022-23853
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - add libkf5bookmarks-dev, used by a new plugin
    - drop kinit-dev, no more needed
  * Drop old breaks/replaces for versions older than Buster.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update install files. (Closes: #1005684)

 -- Pino Toscano <pino@debian.org>  Sat, 26 Feb 2022 13:43:02 +0100
