=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.1~),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.79.0~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
-               kinit-dev (>= 5.79.0~),
                kuserfeedback-dev,
                libkf5activities-dev (>= 5.79.0~),
+               libkf5bookmarks-dev (>= 5.79.0~),
                libkf5config-dev (>= 5.79.0~),
                libkf5crash-dev (>= 5.79.0~),
                libkf5dbusaddons-dev (>= 5.79.0~),
-               libkf5doctools-dev (>= 5.79.0~),
+               libkf5doctools-dev (>= 5.83.0~),
                libkf5guiaddons-dev (>= 5.79.0~),
-               libkf5i18n-dev (>= 5.79.0~),
+               libkf5i18n-dev (>= 5.83.0~),
                libkf5iconthemes-dev (>= 5.79.0~),
                libkf5itemmodels-dev (>= 5.79.0~),
                libkf5jobwidgets-dev (>= 5.79.0~),
@@ -28,15 +28,16 @@
                libkf5service-dev (>= 5.79.0~),
                libkf5syntaxhighlighting-dev (>= 5.79.0~),
                libkf5texteditor-dev (>= 5.79.0~),
-               libkf5textwidgets-dev (>= 5.79.0~),
+               libkf5textwidgets-dev (>= 5.83.0~),
                libkf5threadweaver-dev (>= 5.79.0~),
                libkf5wallet-dev (>= 5.79.0~),
                libkf5windowsystem-dev (>= 5.79.0~),
                libkf5xmlgui-dev (>= 5.79.0~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.2~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
@@ -79,8 +80,6 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate (<< 4:17.08.3-3~)
-Breaks: kate (<< 4:17.08.3-3~)
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -89,8 +88,6 @@
 Section: editors
 Architecture: any
 Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kate5-data (<< 4:17.08.3-3~)
-Replaces: kate5-data (<< 4:17.08.3-3~)
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
