=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
                kuserfeedback-dev,
                libkf5activities-dev (>= 5.79.0~),
@@ -15,9 +14,9 @@
                libkf5config-dev (>= 5.79.0~),
                libkf5crash-dev (>= 5.79.0~),
                libkf5dbusaddons-dev (>= 5.79.0~),
-               libkf5doctools-dev (>= 5.83.0~),
+               libkf5doctools-dev (>= 5.90.0~),
                libkf5guiaddons-dev (>= 5.79.0~),
-               libkf5i18n-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.79.0~),
                libkf5itemmodels-dev (>= 5.79.0~),
                libkf5jobwidgets-dev (>= 5.79.0~),
@@ -37,11 +36,11 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
 
 Package: kate
 Section: editors
