=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -53,7 +53,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: sonnet-plugins
+Recommends: sonnet-plugins,
 Suggests: darcs,
           exuberant-ctags,
           git,
@@ -78,7 +78,7 @@
 
 Package: kate5-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -86,7 +86,7 @@
 Package: kwrite
 Section: editors
 Architecture: any
-Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
+Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends},
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
